Package twisted :: Package protocols :: Module portforward :: Class ProxyClientFactory

[frames | no frames]

## Class ProxyClientFactory

      Factory --+
                |
    ClientFactory --+
                    |
                   ProxyClientFactory

Method Summary
| `buildProtocol(self, *args, **kw)`
| ``clientConnectionFailed`(self, connector, reason)` Called when a connection has failed to connect.
| `setServer(self, server)`
Inherited from ClientFactory
| ``clientConnectionLost`(self, connector, reason)` Called when an established connection is lost.
| ``startedConnecting`(self, connector)` Called when a connection has been started.
Inherited from Factory
| ``doStart`(self)` Make sure startFactory is called.
| ``doStop`(self)` Make sure stopFactory is called.
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector.
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors.

Class Variable Summary
`class` | `protocol` = `twisted.protocols.portforward.ProxyClient`
Inherited from Factory
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
`str` | `noisy` = `'sure, why not'`
`int` | `numPorts` = 0

Method Details

### clientConnectionFailed(self, connector, reason)

Called when a connection has failed to connect.

It may be useful to call connector.connect() - this will reconnect.

  Parameters:
    `reason`
    (type=`twisted.python.failure.Failure`)
  Overrides:
    `twisted.internet.protocol.ClientFactory.clientConnectionFailed` (inherited documentation)

Generated by Epydoc 2.0 on Sat May 15 20:07:56 2004 | http://epydoc.sf.net